Bug 832807 - Excessive dependencies for redhat-lsb
Excessive dependencies for redhat-lsb
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Xibo Ning
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 10:24 EDT by Vadym Chepkov
Modified: 2012-07-17 13:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 04:40:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadym Chepkov 2012-06-17 10:24:14 EDT
Version 4.1-4.fc17 of redhat-lsb include excessive dependencies compare to 4.0-11.fc17:


==============================================================================================================================
 Package                                  Arch               Version                                Repository           Size
==============================================================================================================================
Updating:
 redhat-lsb                               i686               4.1-4.fc17                             updates              23 k
Installing for dependencies:
 alsa-lib                                 i686               1.0.25-3.fc17                          fedora              361 k
 foomatic-filters                         i686               4.0.8-8.fc17                           fedora               93 k
 libXtst                                  i686               1.2.0-3.fc17                           fedora               26 k
 libXxf86vm                               i686               1.1.2-1.fc17                           fedora               22 k
 libmng                                   i686               1.0.10-6.fc17                          fedora              173 k
 libpng-compat                            i686               2:1.5.10-1.fc17                        fedora               94 k
 mesa-libGL                               i686               8.0.3-1.fc17                           updates             148 k
 mesa-libGLU                              i686               8.0.3-1.fc17                           updates             186 k
 mesa-libglapi                            i686               8.0.3-1.fc17                           updates              48 k
 pciutils                                 i686               3.1.9-1.fc17                           fedora               86 k
 perl-CGI                                 noarch             3.52-211.fc17                          fedora              205 k
 perl-CPAN                                noarch             1.9600.01-211.fc17                     fedora              264 k
 perl-ExtUtils-Install                    noarch             1.56-211.fc17                          fedora               63 k
 perl-ExtUtils-MakeMaker                  noarch             6.62-2.fc17                            fedora              267 k
 perl-ExtUtils-Manifest                   noarch             1.60-1.fc17                            fedora               30 k
 perl-ExtUtils-ParseXS                    noarch             1:2.2210-211.fc17                      fedora               57 k
 perl-FCGI                                i686               1:0.74-2.fc17                          fedora               41 k
 perl-HTTP-Tiny                           noarch             0.012-211.fc17                         fedora               45 k
 perl-Pod-Plainer                         noarch             1.03-1.fc17                            fedora              8.5 k
 perl-Test-Harness                        noarch             3.23-211.fc17                          fedora              292 k
 perl-Test-Simple                         noarch             0.98-211.fc17                          fedora              123 k
 perl-devel                               i686               4:5.14.2-211.fc17                      fedora              455 k
 qt                                       i686               1:4.8.2-2.fc17                         updates             4.4 M
 qt-settings                              noarch             4.8-13.fc17                            fedora               25 k
 qt-x11                                   i686               1:4.8.2-2.fc17                         updates              12 M
 qt3                                      i686               3.3.8b-41.fc17                         fedora              3.5 M
 redhat-lsb-core                          i686               4.1-4.fc17                             updates              26 k
 redhat-lsb-cxx                           i686               4.1-4.fc17                             updates              13 k
 redhat-lsb-desktop                       i686               4.1-4.fc17                             updates              17 k
 redhat-lsb-languages                     i686               4.1-4.fc17                             updates              15 k
 redhat-lsb-printing                      i686               4.1-4.fc17                             updates              13 k
 redhat-lsb-submod-multimedia             i686               4.1-4.fc17                             updates              12 k
 redhat-lsb-submod-security               i686               4.1-4.fc17                             updates              12 k
 systemtap-sdt-devel                      i686               1.7-7.fc17                             fedora               64 k
 xdg-utils                                noarch             1.1.0-0.11.20111207.fc17               fedora               68 k

Transaction Summary
==============================================================================================================================
Install             ( 35 Dependent packages)
Upgrade  1 Package

Total download size: 23 M
Is this ok [y/N]: n
Exiting on user Command
Comment 1 Kamil Páral 2012-06-17 16:43:23 EDT
Confirmed. I don't understand why a user should end up with any -devel package, like perl-devel in this case. Also some of the other dependencies seem excessive.
Comment 2 Xibo Ning 2012-06-18 02:26:51 EDT
Hi Kamil.
For *-devel, I checked in the x86_64 F17 (installed redhat-lsb-4.1 package by yum):

[pkger@localhost ~]$ rpm -q --whatrequires 'perl-devel'
perl-ExtUtils-ParseXS-2.2210-212.fc17.noarch
perl-ExtUtils-Install-1.56-212.fc17.noarch
perl-Test-Harness-3.23-212.fc17.noarch
perl-Test-Simple-0.98-212.fc17.noarch

[pkger@localhost ~]$ rpm -q --whatrequires 'systemtap-sdt-devel'
perl-devel-5.14.2-212.fc17.x86_64

[pkger@localhost ~]$ rpm -q --whatrequires 'perl(ExtUtils::ParseXS)'
perl-ExtUtils-ParseXS-2.2210-212.fc17.noarch
perl-devel-5.14.2-212.fc17.x86_64

perl-ExtUtils-Install, perl-Test-Harness and perl-Test-Simple are required by LSB 4.1. Pls reference "Linux Standard Base Languages Specification 4.1", 7.5 Perl Modules. You can get the specfication from here: http://refspecs.linuxfoundation.org/LSB_4.1.0/LSB-Languages/LSB-Languages.pdf

Kamil, the goal of the LSB is to develop and promote a set of open standards that will increase compatibility among Linux distributions and enable software applications to run on any compliant system even in binary form. LSB will defines ABI and API for this purpose. So it's normal that redhat-lsb requires some *-devel packages and some library packages.
Comment 3 Xibo Ning 2012-06-18 04:14:53 EDT
(In reply to comment #0)
> Version 4.1-4.fc17 of redhat-lsb include excessive dependencies compare to
> 4.0-11.fc17:
> 
> 
> =============================================================================
> =================================================
>  Package                                  Arch               Version        
> Repository           Size
> =============================================================================
> =================================================
> Updating:
>  redhat-lsb                               i686               4.1-4.fc17     
> updates              23 k
> Installing for dependencies:
>  alsa-lib                                 i686               1.0.25-3.fc17  
> fedora              361 k
>  foomatic-filters                         i686               4.0.8-8.fc17   
> fedora               93 k
>  libXtst                                  i686               1.2.0-3.fc17   
> fedora               26 k
>  libXxf86vm                               i686               1.1.2-1.fc17   
> fedora               22 k
>  libmng                                   i686               1.0.10-6.fc17  
> fedora              173 k
>  libpng-compat                            i686               2:1.5.10-1.fc17
> fedora               94 k
>  mesa-libGL                               i686               8.0.3-1.fc17   
> updates             148 k
>  mesa-libGLU                              i686               8.0.3-1.fc17   
> updates             186 k
>  mesa-libglapi                            i686               8.0.3-1.fc17   
> updates              48 k
>  pciutils                                 i686               3.1.9-1.fc17   
> fedora               86 k
>  perl-CGI                                 noarch             3.52-211.fc17  
> fedora              205 k
>  perl-CPAN                                noarch            
> 1.9600.01-211.fc17                     fedora              264 k
>  perl-ExtUtils-Install                    noarch             1.56-211.fc17  
> fedora               63 k
>  perl-ExtUtils-MakeMaker                  noarch             6.62-2.fc17    
> fedora              267 k
>  perl-ExtUtils-Manifest                   noarch             1.60-1.fc17    
> fedora               30 k
>  perl-ExtUtils-ParseXS                    noarch            
> 1:2.2210-211.fc17                      fedora               57 k
>  perl-FCGI                                i686               1:0.74-2.fc17  
> fedora               41 k
>  perl-HTTP-Tiny                           noarch             0.012-211.fc17 
> fedora               45 k
>  perl-Pod-Plainer                         noarch             1.03-1.fc17    
> fedora              8.5 k
>  perl-Test-Harness                        noarch             3.23-211.fc17  
> fedora              292 k
>  perl-Test-Simple                         noarch             0.98-211.fc17  
> fedora              123 k
>  perl-devel                               i686              
> 4:5.14.2-211.fc17                      fedora              455 k
>  qt                                       i686               1:4.8.2-2.fc17 
> updates             4.4 M
>  qt-settings                              noarch             4.8-13.fc17    
> fedora               25 k
>  qt-x11                                   i686               1:4.8.2-2.fc17 
> updates              12 M
>  qt3                                      i686               3.3.8b-41.fc17 
> fedora              3.5 M
>  redhat-lsb-core                          i686               4.1-4.fc17     
> updates              26 k
>  redhat-lsb-cxx                           i686               4.1-4.fc17     
> updates              13 k
>  redhat-lsb-desktop                       i686               4.1-4.fc17     
> updates              17 k
>  redhat-lsb-languages                     i686               4.1-4.fc17     
> updates              15 k
>  redhat-lsb-printing                      i686               4.1-4.fc17     
> updates              13 k
>  redhat-lsb-submod-multimedia             i686               4.1-4.fc17     
> updates              12 k
>  redhat-lsb-submod-security               i686               4.1-4.fc17     
> updates              12 k
>  systemtap-sdt-devel                      i686               1.7-7.fc17     
> fedora               64 k
>  xdg-utils                                noarch            
> 1.1.0-0.11.20111207.fc17               fedora               68 k
> 
> Transaction Summary
> =============================================================================
> =================================================
> Install             ( 35 Dependent packages)
> Upgrade  1 Package
> 
Hi Vadym,
LSB 4.1 keep compatability with LSB 4.0, and LSB 4.1 
> Total download size: 23 M
> Is this ok [y/N]: n
> Exiting on user Command

Hi Vadym,
LSB 4.1 is a superset of LSB 4.0, and LSB 4.1 requires more libraries and more perl modules. This is the diff results of redhat-lsb.spec of 4.0 and 4.1, I think this could answer you question. To have the result simple, I remove the postfix: %{?_isa}, %{qual}, and ()(64bit). I use the folowing commands:

diff -Naur <(grep -e '^Requires:' redhat-lsb-4.0/redhat-lsb.spec |  perl -nE 'chomp;s/\%{\?_isa}$//;s/\%{qual}$//;s/\(\)\(64bit\)$//;say' | sort | uniq | sort ) <(grep -e '^Requires:' redhat-lsb-4.1/redhat-lsb.spec | perl -nE 'chomp;s/\%{\?_isa}$//;s/\%{qual}$//;s/\(\)\(64bit\)$//;say' | sort | uniq | sort)

The diff results as following:
--- /dev/fd/63	2012-06-18 15:34:54.623520114 +0800
+++ /dev/fd/62	2012-06-18 15:34:54.623520114 +0800
@@ -1,4 +1,5 @@
-Requires: /bin/awk
+Requires: alsa-lib
+Requires: atk
 Requires: /bin/basename
 Requires: /bin/cat
 Requires: /bin/chgrp
@@ -6,7 +7,6 @@
 Requires: /bin/chown
 Requires: /bin/cp
 Requires: /bin/cpio
-Requires: /bin/cut
 Requires: /bin/date
 Requires: /bin/dd
 Requires: /bin/df
@@ -14,11 +14,9 @@
 Requires: /bin/echo
 Requires: /bin/ed
 Requires: /bin/egrep
-Requires: /bin/env
 Requires: /bin/false
 Requires: /bin/fgrep
 Requires: /bin/find
-Requires: /bin/gettext
 Requires: /bin/grep
 Requires: /bin/gunzip
 Requires: /bin/gzip
@@ -51,79 +49,56 @@
 Requires: /bin/umount
 Requires: /bin/uname
 Requires: /bin/zcat
-Requires: libasound.so.2
-Requires: libatk-1.0.so.0
-Requires: libcairo.so.2
-Requires: libcrypt.so.1
-Requires: libc.so.6
-Requires: libc.so.6.1
-Requires: libcupsimage.so.2
-Requires: libcups.so.2
-Requires: libdl.so.2
-Requires: libfontconfig.so.1
-Requires: libfreetype.so.6
-Requires: libgcc_s.so.1
-Requires: libgdk_pixbuf-2.0.so.0
-Requires: libgdk_pixbuf_xlib-2.0.so.0
-Requires: libgdk-x11-2.0.so.0
-Requires: libglib-2.0.so.0
-Requires: libGL.so.1
-Requires: libGLU.so.1
-Requires: libgmodule-2.0.so.0
-Requires: libgobject-2.0.so.0
-Requires: libgthread-2.0.so.0
-Requires: libgtk-x11-2.0.so.0
-Requires: libICE.so.6
-Requires: libjpeg.so.62
-Requires: libm.so.6
-Requires: libm.so.6.1
-Requires: libncurses.so.5
-Requires: libnspr4.so
-Requires: libnss3.so
-Requires: libpam.so.0
-Requires: libpango-1.0.so.0
-Requires: libpangocairo-1.0.so.0
-Requires: libpangoft2-1.0.so.0
-Requires: libpangoxft-1.0.so.0
+Requires: cairo
+Requires: cups-libs
+Requires: freetype
+Requires: gdk-pixbuf2
+Requires: glib2
+Requires: glibc
+Requires: glibc-common
+Requires: gtk2
+Requires: libgcc
+Requires: libICE
+Requires: libjpeg-turbo
+Requires: libpng
 Requires: libpng12.so.0
-Requires: libpthread.so.0
-Requires: libQtCore.so.4
-Requires: libQtGui.so.4
-Requires: libqt-mt.so.3
-Requires: libQtNetwork.so.4
-Requires: libQtOpenGL.so.4
-Requires: libQtSql.so.4
-Requires: libQtSvg.so.4
-Requires: libQtXml.so.4
-Requires: librt.so.1
-Requires: libSM.so.6
-Requires: libssl3.so
-Requires: libstdc++.so.6
-Requires: libutil.so.1
-Requires: libX11.so.6
-Requires: libXext.so.6
-Requires: libXft.so.2
-Requires: libXi.so.6
-Requires: libxml2.so.2
-Requires: libXrender.so.1
-Requires: libXt.so.6
-Requires: libXtst.so.6
-Requires: libz.so.1
-Requires:       %{name} = %{version}-%{release}
+Requires: libSM
+Requires: libstdc++
+Requires: libX11
+Requires: libXext
+Requires: libXft
+Requires: libXi
+Requires: libxml2
+Requires: libXrender
+Requires: libXt
+Requires: libXtst
+Requires: mesa-libGL
+Requires: mesa-libGLU
+Requires: ncurses-libs
+Requires: nspr
+Requires: nss
+Requires: pam
+Requires: pango
+Requires: perl(CGI)
 Requires: perl(Class::ISA)
-Requires: perl(Digest::MD5)
+Requires: perl(CPAN)
+Requires: perl(ExtUtils::MakeMaker)
+Requires: perl(File::Spec)
 Requires: perl(Locale::Codes)
-Requires: perl(Pod::Perldoc::ToChecker)
-Requires: perl(Pod::Perldoc::ToMan)
-Requires: perl(Pod::Perldoc::ToNroff)
-Requires: perl(Pod::Perldoc::ToPod)
-Requires: perl(Pod::Perldoc::ToText)
+Requires: perl(Pod::Plainer)
+Requires: perl(Scalar::Util)
+Requires: perl(Test::Harness)
+Requires: perl(Test::Simple)
+Requires: qt
+Requires: qt3
+Requires: qt-x11
 Requires: /sbin/fuser
 Requires: /sbin/pidof
 Requires: /sbin/shutdown
 Requires: /usr/bin/[
 Requires: /usr/bin/ar
 Requires: /usr/bin/at
+Requires: /usr/bin/awk
 Requires: /usr/bin/batch
 Requires: /usr/bin/bc
 Requires: /usr/bin/chfn
@@ -134,19 +109,23 @@
 Requires: /usr/bin/comm
 Requires: /usr/bin/crontab
 Requires: /usr/bin/csplit
+Requires: /usr/bin/cut
 Requires: /usr/bin/diff
 Requires: /usr/bin/dirname
 Requires: /usr/bin/du
+Requires: /usr/bin/env
 Requires: /usr/bin/expand
 Requires: /usr/bin/expr
 Requires: /usr/bin/fc-cache
 Requires: /usr/bin/fc-list
 Requires: /usr/bin/fc-match
 Requires: /usr/bin/file
+Requires: /usr/bin/find
 Requires: /usr/bin/fold
 Requires: /usr/bin/foomatic-rip
 Requires: /usr/bin/gencat
 Requires: /usr/bin/getconf
+Requires: /usr/bin/gettext
 Requires: /usr/bin/groups
 Requires: /usr/bin/gs
 Requires: /usr/bin/head
@@ -185,6 +164,7 @@
 Requires: /usr/bin/renice
 Requires: /usr/bin/seq
 Requires: /usr/bin/split
+Requires: /usr/bin/strings
 Requires: /usr/bin/strip
 Requires: /usr/bin/tail
 Requires: /usr/bin/tee
@@ -197,12 +177,11 @@
 Requires: /usr/bin/uniq
 Requires: /usr/bin/wc
 Requires: /usr/bin/xargs
-Requires: /usr/lib/lsb/install_initd
-Requires: /usr/lib/lsb/remove_initd
 Requires: /usr/sbin/groupadd
 Requires: /usr/sbin/groupdel
 Requires: /usr/sbin/groupmod
-Requires: /usr/sbin/sendmail
 Requires: /usr/sbin/useradd
 Requires: /usr/sbin/userdel
 Requires: /usr/sbin/usermod
+Requires: xdg-utils
+Requires: zlib
Comment 4 Kamil Páral 2012-06-18 15:24:27 EDT
Google Chrome requires redhat-lsb package and that's why I noticed a lot of new dependencies during an update and commented here. Because the change is intentional according to xning, I reported a Chrome bug and asked them to re-evaluate the required dependencies for Chrome:
https://code.google.com/p/chromium/issues/detail?id=133327
Comment 5 Parag Nemade 2012-06-30 04:40:31 EDT
Closing this bug. If needed please reopen.
Comment 6 Fedora Update System 2012-07-02 10:58:05 EDT
redhat-lsb-4.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/redhat-lsb-4.1-5.fc17
Comment 7 Fedora Update System 2012-07-17 13:23:55 EDT
redhat-lsb-4.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.